package cz.cuni.mff.java.threadlocal;

import java.util.concurrent.atomic.AtomicInteger;

public class ThreadID {
    private static final AtomicInteger nextId = new AtomicInteger(0);

    private static final ThreadLocal<Integer> threadId =
            ThreadLocal.withInitial(() -> nextId.getAndIncrement());

    public static int get() {
        return threadId.get();
    }
}
