package cz.cuni.mff.java.unittesting;

import org.testng.annotations.Test;

import static org.testng.Assert.*;

public class AClassTest {

    @Test
    public void testPow2() throws Exception {
        System.out.println("pow2");
        int a = 2;
        AClass instance = new AClass();
        int expResult = 4;
        int result = instance.pow2(a);
        assertEquals(result, expResult);
    }

    @Test
    public void testBadException() throws Exception {
        System.out.println("badException");
        AClass instance = new AClass();
        instance.badException();
    }

    @Test(expectedExceptions = RuntimeException.class)
    public void testGoodException() throws Exception {
        System.out.println("goodException");
        boolean thr = true;
        AClass instance = new AClass();
        instance.goodException(thr);
    }
}